"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImsSession = void 0;
const imperative_1 = require("@zowe/imperative");
class ImsSession extends imperative_1.Session {
    constructor(iSession) {
        super(iSession);
        this.imsConnectHost = iSession.imsConnectHost;
        this.imsConnectPort = iSession.imsConnectPort;
        this.plex = iSession.plex;
    }
}
exports.ImsSession = ImsSession;
//# sourceMappingURL=ImsSession.js.map